    import {Loader} from '@solana/web3'

public class | source

# Loader

Program loader interface

## Static Member Summary

Static Public Members
public static get | chunkSize: number Amount of program data placed in each load Transaction |

## Static Method Summary

Static Public Methods
public static | getMinNumSignatures(dataLength: number): number Minimum number of signatures required to load a program not including retries |
public static | async load(connection: Connection, payer: Account, program: Account, programId: PublicKey, data: Buffer | Uint8Array | Array<number>): Promise<void> Loads a generic program |

## Static Public Members

### public static get chunkSize: number source

Amount of program data placed in each load Transaction

## Static Public Methods

### public static getMinNumSignatures(dataLength: number): number source

Minimum number of signatures required to load a program not including retries

Can be used to calculate transaction fees

#### Params:

Name | Type | Attribute | Description
dataLength | number |  |

#### Return:

number

### public static async load(connection: Connection, payer: Account, program: Account, programId: PublicKey, data: Buffer | Uint8Array | Array<number>): Promise<void> source

Loads a generic program

#### Params:

Name | Type | Attribute | Description
connection | Connection |  | The connection to use
payer | Account |  | System account that pays to load the program
program | Account |  | Account to load the program into
programId | PublicKey |  | Public key that identifies the loader
data | Buffer | Uint8Array | Array<number> |  | Program octets

#### Return:

Promise<void>